#include <stdio.h>
#include <unistd.h>
#include <stdlib.h>
#include <string.h>
#include <locale.h>
#include <libintl.h>

int main()
{
  size_t len = 16;
  char *cwd = NULL;
  char *correct = "aあ¢ご";

  setlocale(LC_ALL, "LTP_1.UTF-8"); 

  for(;;)
    {
      len += 16;
      cwd = realloc (cwd, len + 1);
      
      if (getcwd (cwd, len) != NULL)
	break;
    }

  bindtextdomain ("openi18n", cwd);
  textdomain ("openi18n");

  if (strcmp (gettext ("hello"), correct) == 0)
    return 0;		/* Success */
  else
    return 1;		/* Fail */
}
